MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025907Open CASCADE[OCCT] OCCT:Testspublic2015-03-09 16:052015-05-14 15:31
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025907: Optimization of testdiff command
DescriptionCommand testdiff can be improved by both performance and its output, e.g. give percentage of mesasured CPU and memory use differences
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0038211)
git (administrator)
2015-03-09 16:08

Branch CR25907 has been created by abv.

SHA-1: 835724697abc99bd91847463fa23979fcbd0f62c


Detailed log of new commits:

Author: abv
Date: Mon Mar 9 14:28:12 2015 +0300

    0025907: Optimization of testdiff command
    
    - Work with strings optimized in Tcl procedures used in testdiff command
    - CPU and MEMORY measurements output of testdiff command improved to give relative change in percents
    - In HTML output of testdiff command, deviations of memory and CPU measurements greater than 5% are colored (red or green)
    - Image_Diff tool optimized for the case if images are exactly the same
    - Perf_Meter class output corrected, destructor made non-virtual
    - DRAW command diffimage optimized to not save diff files if there is no difference
(0038212)
abv (manager)
2015-03-09 16:16

The fix is pushed to CR25907, please review. The effect on my machine (CPU i7-4790) is that testdiff takes 1:14 (74 sec) instead of 2:47 (177 sec).
(0038213)
git (administrator)
2015-03-09 18:13

Branch CR25907 has been updated forcibly by abv.

SHA-1: 1a972ac806fdeb15cf1821ec769e42269d1bb50b
(0038448)
apn (administrator)
2015-03-17 18:22
edited on: 2015-03-17 18:23

Reviewed.
Effect on my machine on CR25907 2:06 (126 sec) instead of 4:50 (290 sec) on master (more than two times).

(0038449)
git (administrator)
2015-03-17 19:29

Branch CR25907 has been updated forcibly by apv.

SHA-1: 4db2a025f8b62d94c3ca31fa273b59fb311743cc
(0038450)
apv (tester)
2015-03-17 19:30

Branch CR25907 has been rebased on the current master
(0038668)
apv (tester)
2015-03-18 18:13

Dear BugMaster,

Branch CR25907 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 4db2a025f8b62d94c3ca31fa273b59fb311743cc

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 4 (4 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 90218364 / 90076289 [+0.16%]
Total CPU difference: 59396.00999999985 / 58911.169999999984 [+0.82%]

Testing on Windows:
Total MEMORY difference: 58088256 / 58093704 [-0.01%]
Total CPU difference: 48958.65625 / 57284.859375 [-14.53%]
(0038669)
apv (tester)
2015-03-18 18:18

I would like to pay attention that testdiff report is unreadable in case of using black font color on red background. It would be nice to find another colors combination.
(0039445)
git (administrator)
2015-04-09 09:48

Branch CR25907 has been deleted by kgv.

SHA-1: 4db2a025f8b62d94c3ca31fa273b59fb311743cc

- Related Changesets
occt: master 936f43da
Timestamp: 2015-03-09 11:28:12
Author: abv
Committer: bugmaster
Details ] Diff ]
0025907: Optimization of testdiff command

- Work with strings optimized in Tcl procedures used in testdiff command
- CPU and memory differences output of testdiff command improved to give relative change in percents
- Cumulative CPU and memory differences are output for test grids
- In HTML output of testdiff command, deviations of memory and CPU measurements greater than 5% are colored (red or green)
- Search of image files in testdiff command corrected to avoid wrong attribution of image file to issues starting with the same first letters; images must start with the test case name, optionally followed by underscore or dash and arbitrary text
- Image_Diff tool optimized for the case if images are exactly the same
- Perf_Meter class output corrected, destructor made non-virtual
- DRAW command diffimage optimized to not save diff files if there is no difference
- Tests User Guide updated according to these changes and actual state
mod - dox/dev_guides/tests/tests.md Diff ] File ]
mod - src/DrawResources/TestCommands.tcl Diff ] File ]
mod - src/Image/Image_Diff.cxx Diff ] File ]
mod - src/OSD/OSD_PerfMeter.cxx Diff ] File ]
mod - src/OSD/OSD_PerfMeter.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
add - tests/demo/samples/cpu Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-09 16:05 abv New Issue
2015-03-09 16:05 abv Assigned To => apn
2015-03-09 16:08 git Note Added: 0038211
2015-03-09 16:16 abv Note Added: 0038212
2015-03-09 16:16 abv Status new => resolved
2015-03-09 16:16 abv Steps to Reproduce Updated View Revisions
2015-03-09 18:13 git Note Added: 0038213
2015-03-17 18:22 apn Note Added: 0038448
2015-03-17 18:22 apn Test case number => Not needed
2015-03-17 18:22 apn Assigned To apn => bugmaster
2015-03-17 18:22 apn Status resolved => reviewed
2015-03-17 18:23 apn Note Edited: 0038448 View Revisions
2015-03-17 18:37 apv Assigned To bugmaster => apv
2015-03-17 19:29 git Note Added: 0038449
2015-03-17 19:30 apv Note Added: 0038450
2015-03-18 18:13 apv Note Added: 0038668
2015-03-18 18:13 apv Assigned To apv => bugmaster
2015-03-18 18:13 apv Status reviewed => tested
2015-03-18 18:18 apv Note Added: 0038669
2015-03-20 13:34 bugmaster Changeset attached => occt master 936f43da
2015-03-20 13:34 bugmaster Status tested => verified
2015-03-20 13:34 bugmaster Resolution open => fixed
2015-04-09 09:48 git Note Added: 0039445
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker